#ifndef ATL_INSTINFO_H
   #define ATL_INSTINFO_H

#define ATL_ARCH "ARM64a5364"
#define ATL_INSTFLAGS "-1 0 -a 1 -l 1"
#define ATL_F2CDEFS "-DAdd_ -DF77_INTEGER=int -DStringSunStyle"
#define ATL_ARCHDEFS "-DATL_OS_Linux -DATL_ARCH_ARM64a53 -DATL_USE64BITS -DATL_GAS_ARM64"
#define ATL_DKCFLAGS "-mcpu=cortex-a53 -mtune=cortex-a53 -O3 -ftree-vect-loop-version -ftree-vectorize -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_DKC "/usr/bin/aarch64-redhat-linux-gcc"
#define ATL_SKCFLAGS "-mcpu=cortex-a53 -mtune=cortex-a53 -O3 -ftree-vect-loop-version -ftree-vectorize -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_SKC "/usr/bin/aarch64-redhat-linux-gcc"
#define ATL_DMCFLAGS "-O1 -mcpu=cortex-a53 -mtune=cortex-a53 -fexpensive-optimizations -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_DMC "/usr/bin/aarch64-redhat-linux-gcc"
#define ATL_SMCFLAGS "-O2 -mcpu=cortex-a53 -mtune=cortex-a53 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_SMC "/usr/bin/aarch64-redhat-linux-gcc"
#define ATL_ICCFLAGS "-DL2SIZE=33554432 -I/builddir/build/BUILD/atlas-3.10.3-build/ATLAS/aarch64_base/include -I/builddir/build/BUILD/atlas-3.10.3-build/ATLAS/aarch64_base/..//include -I/builddir/build/BUILD/atlas-3.10.3-build/ATLAS/aarch64_base/..//include/contrib -DAdd_ -DF77_INTEGER=int -DStringSunStyle -DATL_OS_Linux -DATL_ARCH_ARM64a53 -DATL_USE64BITS -DATL_GAS_ARM64 -DWALL -DATL_NCPU=2 -mcpu=cortex-a53 -mtune=cortex-a53 -O2 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-pr"
#define ATL_ICC "/usr/bin/aarch64-redhat-linux-gcc"
#define ATL_F77FLAGS "-O2 -mcpu=cortex-a53 -D_FORTIFY_SOURCE=2 -g -Wa,--noexecstack,--generate-missing-build-notes=yes -fpermissive -fstack-protector-strong -fstack-clash-protection -fPIC -fplugin=annobin -Wl,-z,now"
#define ATL_F77 "/usr/bin/gfortran"
#define ATL_DKCVERS "aarch64-redhat-linux-gcc (GCC) 15.0.1 20250228 (Red Hat 15.0.1-0)"
#define ATL_SKCVERS "aarch64-redhat-linux-gcc (GCC) 15.0.1 20250228 (Red Hat 15.0.1-0)"
#define ATL_DMCVERS "aarch64-redhat-linux-gcc (GCC) 15.0.1 20250228 (Red Hat 15.0.1-0)"
#define ATL_SMCVERS "aarch64-redhat-linux-gcc (GCC) 15.0.1 20250228 (Red Hat 15.0.1-0)"
#define ATL_ICCVERS "aarch64-redhat-linux-gcc (GCC) 15.0.1 20250228 (Red Hat 15.0.1-0)"
#define ATL_F77VERS "GNU Fortran (GCC) 15.0.1 20250228 (Red Hat 15.0.1-0)"
#define ATL_SYSINFO "Linux 88abe50244da4748894f2781bfa91796 6.12.10-200.fc41.aarch64 #1 SMP PREEMPT_DYNAMIC Fri Jan 17 18:32:17 UTC 2025 aarch64 GNU/Linux"
#define ATL_DATE    "Mon Mar 10 10:51:24 UTC 2025"
#define ATL_UNAM    "mockbuild"
#define ATL_VERS    "3.10.3"

#endif
